/* --- Line up page --- */
.lineup-container {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    padding: 0 35px;
    background-image: url(../images/lineup-background.png);
    background-size: cover;
}
.lineup-wrapper {
    max-width: 1000px;
    width: 100%;
    position: relative;
}
.lineup-wrapper i {
    height: 50px;
    width: 50px;
    background: #fff;
    text-align: center;
    line-height: 50px;
    border-radius: 50%;
    cursor: pointer;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    box-shadow: 0 4px 6px rgba(0,0,0,0.23);
}
.lineup-wrapper i:first-child {
    left: -22px;
}
.lineup-wrapper i:last-child {
    right: -22px;
}
.lineup-wrapper .lineup-carousel {
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: calc((100% / 3) - 12px);
    gap: 16px;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
    scrollbar-width: 0;
}
.lineup-carousel::-webkit-scrollbar {
    display: none;
}
.lineup-carousel :where(.lineup-card, .lineup-img) {
    display: flex;
    align-items: center;
    justify-content: center;
}
.lineup-carousel.no-transition {
    scroll-behavior: auto;
}
.lineup-carousel.dragging {
    scroll-snap-type: none;
    scroll-behavior: auto;
}
.lineup-carousel.dragging .lineup-card{
    cursor: grab;
    user-select: none;
}
.lineup-carousel .lineup-card {
    scroll-snap-align: start;
    height: 390px;
    list-style: none;
    background: #fff;
    border-radius: 12px;
    display: flex;
    cursor: pointer;
    padding-bottom: 15px;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
.lineup-card .lineup-img {
    background: #2200FF;
    width: 150px;
    height:150px;
    border-radius: 50%;
}
.lineup-card .lineup-img img {
    width: 140px;
    height: 140px;
    object-fit: cover;
    border-radius: 50%;
    border: 3px solid #fff;
}
.lineup-card h2 {
    color: #2200FF;
    font-weight: 500;
    font-size: 1.56rem;
    margin: 30px 0 5px;
}
.lineup-card span {
    color: #999;
    font-size: 1.31rem;
    text-align: center;
}

@media screen and (max-width: 900px) {
    .lineup-wrapper .lineup-carousel {
        grid-auto-columns: calc((100% / 2) - 9px);
    }
}
@media screen and (max-width: 600px) {
    .lineup-wrapper .lineup-carousel {
        grid-auto-columns: 100%;
    }
}